import { Injectable } from '@angular/core';
import {BehaviorSubject} from 'rxjs';
import {environment} from '@src/environments/environment';
import {first} from 'rxjs/operators';
import {HttpClient} from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class LocationService {
  locations: any = '';
  private locationsList = new BehaviorSubject<any>(this.locations);
  locationsSubject = this.locationsList.asObservable();

  constructor(
    private httpClient: HttpClient,
  ) { }

  getLocations(): void {
    this.httpClient.get(`${environment.cicCacheUrl}/locations`).pipe(first()).subscribe(res => this.locationsList.next(res));
  }
}
